<?php

namespace Drupal\synhelper\Drush;

use Drush\Commands\DrushCommands;
use Symfony\Component\Yaml\Yaml;
use Drupal\Core\Config\FileStorage;

/**
 * A Drush commandfile.
 */
class DrushConfigImport extends DrushCommands {

  /**
   * Synhrlper config import.
   *
   * @param string $directory
   *   Config directory.
   *
   * @command synhelper:cim
   * @aliases scim
   * @options arr An option that takes multiple values.
   * @usage synhelper:cim /var/www/config
   *   Import config from  /var/www/config.
   */
  public function import($directory) {
    $this->output()->writeln("Import config from: $directory");
    $storage = \Drupal::entityTypeManager()->getStorage('node');
    $source = new FileStorage($directory);
    \Drupal::service('config.installer')->installOptionalConfig($source);
    foreach (scandir($directory) as $file) {
      $cfg = substr($file, 0, -4);
      if ($cfg) {
        $this->output()->writeln("Config: $file");
        $data = $source->read($cfg);
        $config = \Drupal::service('config.factory')->getEditable($cfg);
        $config->setData($data)->save();
      }
    }
  }

}
